summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild/build_ovs_nsh.sh22
-rwxr-xr-xbuild/overcloud-full.sh39
-rwxr-xr-xbuild/overcloud-onos.sh8
-rwxr-xr-xbuild/overcloud-opendaylight-sfc.sh11
-rw-r--r--build/set_perf_images.sh1
-rw-r--r--build/variables.sh12
-rw-r--r--ci/PR_revision.log1
-rw-r--r--docs/installationprocedure/architecture.rst29
-rw-r--r--docs/installationprocedure/requirements.rst15
-rw-r--r--docs/releasenotes/release-notes.rst12
10 files changed, 113 insertions, 37 deletions
diff --git a/build/build_ovs_nsh.sh b/build/build_ovs_nsh.sh
new file mode 100755
index 00000000..834df5bb
--- /dev/null
+++ b/build/build_ovs_nsh.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+##############################################################################
+# Copyright (c) 2016 Tim Rozet (Red Hat) and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -e
+
+yum -y install rpm-build autoconf automake libtool systemd-units openssl openssl-devel python python-twisted-core python-zope-interface python-six desktop-file-utils groff graphviz procps-ng libcap-ng libcap-ng-devel PyQt4 selinux-policy-devel kernel-devel kernel-headers kernel-tools
+./boot.sh
+libtoolize --force
+aclocal
+autoheader
+automake --force-missing --add-missing
+autoconf
+./configure
+yum -y install rpmdevtools
+make rpm-fedora RPMBUILD_OPT="\"-D kversion `rpm -q kernel | rpmdev-sort | tail -n -1 | sed 's/^kernel-//'`\" --without check"
+make rpm-fedora-kmod RPMBUILD_OPT="\"-D kversion `rpm -q kernel | rpmdev-sort | tail -n -1 | sed 's/^kernel-//'`\""
diff --git a/build/overcloud-full.sh b/build/overcloud-full.sh
index 21667070..88f96851 100755
--- a/build/overcloud-full.sh
+++ b/build/overcloud-full.sh
@@ -154,5 +154,44 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../puppet-neutron/manifests/plugins/ml2/networking-vpp.pp:/etc/puppet/modules/neutron/manifests/plugins/ml2/ \
-a overcloud-full_build.qcow2
+rm -rf ovs_nsh_patches
+rm -rf ovs
+git clone https://github.com/yyang13/ovs_nsh_patches.git
+git clone https://github.com/openvswitch/ovs.git
+pushd ovs > /dev/null
+git reset --hard 7d433ae57ebb90cd68e8fa948a096f619ac4e2d8
+cp ../ovs_nsh_patches/*.patch ./
+# Hack for build servers that have no git config
+git config user.email "apex@opnfv.com"
+git config user.name "apex"
+git am *.patch
+popd > /dev/null
+tar czf ovs.tar.gz ovs
+
+# Required packages to redirect stdin with virt-customize
+virt_pkg_str="./$libguestfs_pkg "
+wget $virt_uri_base/$libguestfs_pkg
+for package in ${virt_pkgs[@]}; do
+ wget "$virt_uri_base/$package"
+ virt_pkg_str+=" ./$package"
+done
+
+if ! sudo yum -y install ${virt_pkg_str}; then
+ if [ "$(rpm -q libguestfs)" != "$(rpm -qpf $libguestfs_pkg)" ]; then
+ echo "ERROR: Failed to update libguestfs"
+ exit 1
+ fi
+fi
+
+
+
+# BUILD NSH OVS
+LIBGUESTFS_BACKEND=direct virt-customize \
+ --upload ../build_ovs_nsh.sh:/root/ \
+ --upload ovs.tar.gz:/root/ \
+ --run-command "cd /root/ && tar xzf ovs.tar.gz" \
+ --run-command "cd /root/ovs && /root/build_ovs_nsh.sh" \
+ -a overcloud-full_build.qcow2
+
mv -f overcloud-full_build.qcow2 overcloud-full.qcow2
popd > /dev/null
diff --git a/build/overcloud-onos.sh b/build/overcloud-onos.sh
index 7b5e3df7..b695983a 100755
--- a/build/overcloud-onos.sh
+++ b/build/overcloud-onos.sh
@@ -19,12 +19,8 @@ cp -f overcloud-full.qcow2 overcloud-full-onos_build.qcow2
#######################################
# upgrade ovs into ovs 2.5.90 with NSH function
-curl -L -O ${onos_ovs_uri}/${onos_ovs_pkg}
-tar -xzf ${onos_ovs_pkg}
-LIBGUESTFS_BACKEND=direct virt-customize --upload ${ovs_kmod_rpm_name}:/root/ \
- --run-command "yum install -y /root/${ovs_kmod_rpm_name}" \
- --upload ${ovs_rpm_name}:/root/ \
- --run-command "yum upgrade -y /root/${ovs_rpm_name}" \
+LIBGUESTFS_BACKEND=direct virt-customize --run-command "yum install -y /root/ovs/rpm/rpmbuild/RPMS/x86_64/${ovs_kmod_rpm_name}" \
+ --run-command "yum upgrade -y /root/ovs/rpm/rpmbuild/RPMS/x86_64/${ovs_rpm_name}" \
-a overcloud-full-onos_build.qcow2
diff --git a/build/overcloud-opendaylight-sfc.sh b/build/overcloud-opendaylight-sfc.sh
index 612f483d..444d284a 100755
--- a/build/overcloud-opendaylight-sfc.sh
+++ b/build/overcloud-opendaylight-sfc.sh
@@ -19,15 +19,8 @@ pushd images > /dev/null
cp -f overcloud-full-opendaylight.qcow2 overcloud-full-opendaylight-sfc_build.qcow2
# upgrade ovs into ovs 2.5.90 with NSH function
-if ! [[ -f "$ovs_rpm_name" && -f "$ovs_kmod_rpm_name" ]]; then
- curl -L -O ${onos_ovs_uri}/${onos_ovs_pkg}
- tar -xzf ${onos_ovs_pkg}
-fi
-
-LIBGUESTFS_BACKEND=direct virt-customize --upload ${ovs_kmod_rpm_name}:/root/ \
- --run-command "yum install -y /root/${ovs_kmod_rpm_name}" \
- --upload ${ovs_rpm_name}:/root/ \
- --run-command "yum upgrade -y /root/${ovs_rpm_name}" \
+LIBGUESTFS_BACKEND=direct virt-customize --run-command "yum install -y /root/ovs/rpm/rpmbuild/RPMS/x86_64/${ovs_kmod_rpm_name}" \
+ --run-command "yum upgrade -y /root/ovs/rpm/rpmbuild/RPMS/x86_64/${ovs_rpm_name}" \
-a overcloud-full-opendaylight-sfc_build.qcow2
mv overcloud-full-opendaylight-sfc_build.qcow2 overcloud-full-opendaylight-sfc.qcow2
diff --git a/build/set_perf_images.sh b/build/set_perf_images.sh
index 0025cc75..d91c20ec 100644
--- a/build/set_perf_images.sh
+++ b/build/set_perf_images.sh
@@ -19,6 +19,7 @@ for ROLE in $@; do
KERNEL=$(glance image-show overcloud-full | grep 'kernel_id' | cut -d '|' -f 3 | xargs)
RAMDISK_ID=$(glance image-show ${RAMDISK} | grep id | awk {'print $4'})
glance image-create --name $ROLE-overcloud-full --disk-format qcow2 --file $ROLE-overcloud-full.qcow2 --container-format bare --property ramdisk_id=$RAMDISK_ID --property kernel_id=$KERNEL --is-public True
+ rm -f $ROLE-overcloud-full.qcow2
fi
if [ "$ROLE" == "Controller" ]; then
diff --git a/build/variables.sh b/build/variables.sh
index 990ac836..0308580d 100644
--- a/build/variables.sh
+++ b/build/variables.sh
@@ -39,3 +39,15 @@ honeycomb_pkg='honeycomb-1.0.0-1609.noarch.rpm'
ovs_rpm_name=openvswitch-2.5.90-1.el7.centos.x86_64.rpm
ovs_kmod_rpm_name=openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm
+
+virt_uri_base=https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview
+libguestfs_pkg='libguestfs-1.32.7-3.el7.x86_64.rpm'
+virt_pkgs=(
+'libguestfs-tools-1.32.7-3.el7.noarch.rpm'
+'libguestfs-tools-c-1.32.7-3.el7.x86_64.rpm'
+'supermin-5.1.16-4.el7.x86_64.rpm'
+'supermin5-5.1.16-4.el7.x86_64.rpm'
+'supermin-helper-5.1.16-4.el7.x86_64.rpm'
+'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
+'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
+)
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index f8b11a71..f7b832e6 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -41,3 +41,4 @@
79,Fix controller and compute ip array
80,Change TenantNIC and PublicNIC to be role specific
81,Fix duplicate NeutronServicePlugins
+82,Fixes neutron sdnvpn config resource
diff --git a/docs/installationprocedure/architecture.rst b/docs/installationprocedure/architecture.rst
index f1861d0a..c2b38d00 100644
--- a/docs/installationprocedure/architecture.rst
+++ b/docs/installationprocedure/architecture.rst
@@ -105,31 +105,32 @@ the installer as a (-d) deploy setting. Read further in the Apex documentation
to learn more about invoking the deploy command. Below is quick reference
matrix for OPNFV scenarios supported in Apex. Please refer to the respective
OPNFV Docs documentation for each scenario in order to see a full scenario
-description. The following scenarios correspond to a supported <Scenario>.yaml
-deploy settings file:
+description. Also, please refer to release-notes for information about known
+issues per scenario. The following scenarios correspond to a supported
+<Scenario>.yaml deploy settings file:
+-------------------------+------------+-----------------+
-| **Scenario** | **Owner** | **Known Issues**|
+| **Scenario** | **Owner** | **Supported** |
+-------------------------+------------+-----------------+
-| os-nosdn-nofeature-ha | Apex | |
+| os-nosdn-nofeature-ha | Apex | Yes |
+-------------------------+------------+-----------------+
-| os-nosdn-nofeature-noha | Apex | |
+| os-nosdn-nofeature-noha | Apex | Yes |
+-------------------------+------------+-----------------+
-| os-nosdn-ovs-noha | OVS for NFV| |
+| os-nosdn-ovs-noha | OVS for NFV| Yes |
+-------------------------+------------+-----------------+
-| os-nosdn-fdio-noha | FDS | |
+| os-nosdn-fdio-noha | FDS | Yes |
+-------------------------+------------+-----------------+
-| os-odl_l2-nofeature-ha | Apex | |
+| os-odl_l2-nofeature-ha | Apex | Yes |
+-------------------------+------------+-----------------+
-| os-odl_l3-nofeature-ha | Apex | APEX-112 |
+| os-odl_l3-nofeature-ha | Apex | Yes |
+-------------------------+------------+-----------------+
-| os-odl_l2-sfc-noha | SFC | |
+| os-odl_l2-sfc-noha | SFC | Yes |
+-------------------------+------------+-----------------+
-| os-odl_l2-bgpvpn-noha | SDNVPN | |
+| os-odl_l2-bgpvpn-ha | SDNVPN | No |
+-------------------------+------------+-----------------+
-| os-odl_l2-fdio-noha | FDS | |
+| os-odl_l2-fdio-noha | FDS | Yes |
+-------------------------+------------+-----------------+
-| os-onos-nofeature-ha | ONOSFW | |
+| os-onos-nofeature-ha | ONOSFW | Yes |
+-------------------------+------------+-----------------+
-| os-onos-sfc-ha | ONOSFW | |
+| os-onos-sfc-ha | ONOSFW | Yes |
+-------------------------+------------+-----------------+
diff --git a/docs/installationprocedure/requirements.rst b/docs/installationprocedure/requirements.rst
index d54d584b..1b3fe87d 100644
--- a/docs/installationprocedure/requirements.rst
+++ b/docs/installationprocedure/requirements.rst
@@ -46,14 +46,13 @@ Network requirements include:
deployment. The External network is where public internet access would
reside if available.
-\* *These networks can be combined with each other or all combined on the
- Control Plane network.*
-\* *Non-External networks will be consolidated to the Control Plane network
- if not specifically configured.*
-\*\* *Internal API network, by default, is collapsed with provisioning in IPv4
- deployments, this is not possible with the current lack of PXE boot
- support and therefore the API network is required to be its own
- network in an IPv6 deployment.*
+\*These networks can be combined with each other or all combined on the
+Control Plane network.
+
+\*\*Internal API network, by default, is collapsed with provisioning in IPv4
+deployments, this is not possible with the current lack of PXE boot
+support and therefore the API network is required to be its own
+network in an IPv6 deployment.
Bare Metal Node Requirements
----------------------------
diff --git a/docs/releasenotes/release-notes.rst b/docs/releasenotes/release-notes.rst
index 96d654a8..52b676ec 100644
--- a/docs/releasenotes/release-notes.rst
+++ b/docs/releasenotes/release-notes.rst
@@ -300,6 +300,18 @@ Scenario os-odl_l2-nofeature known issues
* `APEX-149 <https://jira.opnfv.org/browse/APEX-149>`_:
Openflow rules are populated very slowly
+Scenario os-odl_l2-bgpvpn known issues
+--------------------------------------
+
+* `APEX-278 <https://jira.opnfv.org/browse/APEX-278>`_:
+ Duplicate neutron config class declaration for SDNVPN
+
+Scenario os-onos-nofeatures/os-onos-sfc known issues
+----------------------------------------------------
+
+* `APEX-281 <https://jira.opnfv.org/browse/APEX-281>`_:
+ ONOS sometimes fails to provide addresses to instances
+
Scenario os-odl_l2-sfc-noha known issues
----------------------------------------